Bug 714333 - [abrt] kernel: BUG: sleeping function called from invalid context at arch/x86/mm/fault.c:1087: TAINTED Die
[abrt] kernel: BUG: sleeping function called from invalid context at arch/x86...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:94db9f5ad45728c19afe91545c1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-18 02:45 EDT by Dagan McGregor
Modified: 2011-08-17 22:33 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.40.3-0.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-01 21:59:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dagan McGregor 2011-06-18 02:45:32 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        ro root=/dev/mapper/vg_tighanardrigh-root rd_MD_UUID=4b08eb1c:95277a3a:ab61a0ad:b95098dd rd_LVM_LV=vg_tighanardrigh/root rd_LVM_LV=vg_tighanardrigh/swap rd_NO_LUKS rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
component:      kernel
kernel:         2.6.38.8-32.fc15.x86_64
kernel_tainted: 128
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         BUG: sleeping function called from invalid context at arch/x86/mm/fault.c:1087
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Sat Jun 18 01:05:46 2011

backtrace:
:BUG: sleeping function called from invalid context at arch/x86/mm/fault.c:1087
:in_atomic(): 0, irqs_disabled(): 1, pid: 1550, name: udisks-daemon
:Pid: 1550, comm: udisks-daemon Not tainted 2.6.38.8-32.fc15.x86_64 #1
:Call Trace:
: [<ffffffff81047d33>] __might_sleep+0xeb/0xf0
: [<ffffffff81478dc3>] do_page_fault+0x1eb/0x37a
: [<ffffffff8147433e>] ? schedule+0x653/0x66a
: [<ffffffff810507e2>] ? __cond_resched+0x28/0x34
: [<ffffffff814761d5>] page_fault+0x25/0x30
: [<ffffffff81211466>] ? elv_put_request+0x10/0x20
: [<ffffffff81215e53>] __blk_put_request+0x82/0xb5
: [<ffffffff81216236>] blk_put_request+0x31/0x49
: [<ffffffff812fc955>] scsi_execute+0x135/0x146
: [<ffffffff812fca02>] scsi_execute_req+0x9c/0xce
: [<ffffffff812f8a9c>] ioctl_internal_command.constprop.1+0x6b/0x163
: [<ffffffff812f8bed>] scsi_set_medium_removal+0x59/0x94
: [<ffffffff8130638b>] sd_release+0x9c/0xb3
: [<ffffffff81149aa2>] __blkdev_put+0xc6/0x179
: [<ffffffff81149c59>] blkdev_put+0x104/0x10c
: [<ffffffff81149c86>] blkdev_close+0x25/0x27
: [<ffffffff811229ad>] fput+0x121/0x1bb
: [<ffffffff8111ff17>] filp_close+0x66/0x70
: [<ffffffff8111ffbe>] sys_close+0x9d/0xda
: [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b

event_log:
:2011-06-18-18:45:25> Submitting oops report to http://submit.kerneloops.org/submitoops.php
:2011-06-18-18:45:26  Kernel oops report was uploaded
Comment 1 Dave Jones 2011-07-29 11:54:42 EDT
This bug should be fixed with 2.6.40-3 and higher (available in updates-testing. Please try that kernel, and leave feedback.

Thanks.
Comment 2 Fedora Update System 2011-07-29 12:01:03 EDT
kernel-2.6.40-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-3.fc15
Comment 3 Fedora Update System 2011-07-29 16:40:12 EDT
kernel-2.6.40-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
Comment 4 Fedora Update System 2011-07-30 23:33:21 EDT
Package kernel-2.6.40-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40-4.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-08-01 21:57:59 EDT
kernel-2.6.40-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-08-16 08:48:14 EDT
kernel-2.6.40.3-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.3-0.fc15
Comment 7 Fedora Update System 2011-08-17 22:31:03 EDT
kernel-2.6.40.3-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.